QGIS Application - Bug report #11683
QGIS 2.6 (Linux) missing option to add File-bases Geodatabase
2014-11-18 01:50 PM - Flo Ju

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 19927
Description

In QGIS 2.6 (Ubuntu 14.10 64bit) the option to add a File-based geodatabase (add vector-data - directory - Esri FGDB) is missing,
allthough it was available in 2.4

History

#1 - 2014-11-18 01:55 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Priority changed from High to Normal

you must use a version of gdal that was compiled against the esri file geodatabase api, and as far as | can remember (I'm a ubuntu user) this option was
never available out of the box using the official (ubuntugis) repositories.

#2 - 2014-11-18 02:55 PM - Filipe Dias

I use Ubuntu 14.04 and that option is available in QGIS from ubuntu gis

#3 - 2014-11-18 11:14 PM - Flo Ju

- Assignee set to Filipe Dias

Do you use 2.6 in Ubuntu 14.04 ? If Yes, then there is GDAL with FGDB-Support in ubuntu-gis repo ?

UPDATE:

If you install it from http://ggis.org/debian the installation is without FGDB support. | removed everything (QGIS,...) and removed this repo - afterwards

installed QGIS 2.6. again from the ubuntugis-repo (ppa:ubuntugis/ubuntugis-unstable). With this installation | have got support for OpenFGDB (but not the
native proprietary ESRI FGDB). | have to evaluate if the OpenFGD-connector works for me.

#4 - 2014-11-18 11:29 PM - Jiirgen Fischer

- Assignee deleted (Filipe Dias)

#5 - 2014-11-19 12:29 AM - Flo Ju

| tried to describe the "problem": [[http://isticktoit.net/?p=928]]
http://qgis.org/debian
http://isticktoit.net/?p=928

#6 - 2014-11-19 07:18 AM - Filipe Dias

Try "Add layer"-> Database -> Type "ESRI Personal Geodatabase"

#7 - 2015-01-10 07:08 AM - Jiirgen Fischer
- Resolution set to worksforme

- Status changed from Feedback to Closed
